karaf-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject Re: Cannot run wrapper on Windows Server 2003 R2
Date Wed, 03 Oct 2012 13:26:51 GMT
You are right:
- the wrapper files are "embedded" in the wrapper bundle
- the wrapper install command "detects" the platform (Unix or Windows 
using os.name system property, 32 bits or 64 bits using os.arch system 
property)

So yes, if you execute wrapper:install again, it will try to detect the 
running platform and install the files corresponding to this platform.

Regards
JB

On 10/03/2012 03:13 PM, Bengt Rodehav wrote:
> Did some more investigating....
>
> I use my own custom distribution. I have always created that by:
>
> - Downloading the appropriate Karaf standard distribution
> - Start Karaf
> - features:install wrapper
> - wrapper:install
>
> That way the needed Wrapper files are extracted for me and I can include
> them in the distribution "out-of-the-box". The extracted files are:
>
> - bin\karaf-wrapper.exe
> - etc\karaf-wrapper.conf
> - bin\karaf-service.bat
> - lib\wrapper.dll
> - lib\karaf-wrapper.jar
> - lib\karaf-wrapper-main.jar
>
> I normally customize karaf-wrapper.conf but leave the rest unchanged.
>
> I now tried running "wrapper:install" on a standard Karaf 2.2.8
> distribution on Windows XP (32 bit). I then succeeded in installing the
> wrapper.
>
> My conclusion then is that when runnning "wrapper:install" some kind of
> OS detection is being done so that the correct version of the Wrapper is
> installed thus breaking my strategy of doing this when I create the
> distribution instead of doing it when I actually install the wrapper
> service.
>
> Am I right?
>
> Can I just remove the extracted files and re-run "wrapper:install" as a
> work around on 32 bit Windows?
>
> /Bengt
>
>
> 2012/10/3 Bengt Rodehav <bengt@rodehav.com <mailto:bengt@rodehav.com>>
>
>     Thanks for your reply JB.
>
>     Yes, it's a 32 bit platform.
>
>     I just tried on a Windows XP Professional 2002 SP3 (also 32 bit)
>     which gives me a similar error message:
>
>     "...\apache-karaf-2.2.8\bin\karaf-wrapper.exe is not a valid Win32
>     application"
>
>     So, I guess the karaf-wrapper.exe that I'm using requires 64 bit
>     Windows? Is there a workaround?
>
>     /Bengt
>
>
>     2012/10/3 Jean-Baptiste Onofré <jb@nanthrax.net
>     <mailto:jb@nanthrax.net>>
>
>         Hi Bengt,
>
>         is it a 64bits or 32bits platform ?
>
>         Regards
>         JB
>
>
>         On 10/03/2012 02:42 PM, Bengt Rodehav wrote:
>
>             I've recently upgraded from Karaf 2.2.5 to Karaf 2.2.8. I've
>             been
>             testing mostly on Windows 7 and I'm now trying to install on the
>             customer's test system which is running Windows Server 2003 R2.
>
>             I run the following command: bin\karaf-service.bat install
>
>             and I get the following error message:
>
>             "The image file
>             ....\apache-karaf-2.2.8\bin\__karaf-wrapper.exe is valid,
>             but is for a machine type other than the current machine."
>
>             What is happening? Has anyone else had this problem?
>
>             /Bengt
>
>
>         --
>         Jean-Baptiste Onofré
>         jbonofre@apache.org <mailto:jbonofre@apache.org>
>         http://blog.nanthrax.net
>         Talend - http://www.talend.com
>
>
>

-- 
Jean-Baptiste Onofré
jbonofre@apache.org
http://blog.nanthrax.net
Talend - http://www.talend.com

Mime
View raw message